Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

54 lines (37 sloc) 1.286 kb

2.1.0

  • deprecations

    • Remove support for apply_schema

2.0.1

  • enhancements

    • DM 1.3.0.beta compatibility (snusnu)

2.0.0

  • enhancements

    • Improve Compatibility hook methods

    • Add Compatibility#email_was

    • Compatibility#save(:validate => false) - Use _persist instead of save!

    • Include property statements in generated models

1.5.0

  • enhancements

    • determine validation library extensions to load based on which validation library is loaded (dm-validations or Active Model)

    • Add data_mapper_validation_messages config option so that default messages can be overriden.

    • Add data_mapper:devise_install generator with dm-devise related options

    • Verify compatibility with DM 1.2.0.rc1 and Rails 1.3.0

1.4.0

  • enhancements

    • Add Compatibility#email_changed? for email validations

1.3.1

  • enhancements

    • expired validation error message

1.3.0

  • enhancements

    • Add before_validation hook

    • Add DataMapper::Validation::ValidationErrors#to_xml

1.2.0

  • enhancements

    • Verify compatibility with DM 1.1.0

    • Ensure apply_schema won't try to re add an existing property

  • bug fix

    • Change DateTime#gmtime to use #new_offset instead of delegating to #to_time

    • Correctly handle DataMapper required property option

Jump to Line
Something went wrong with that request. Please try again.